Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.login
Class FailedLoginException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--javax.security.auth.login.LoginException
                              |
                              +--javax.security.auth.login.FailedLoginException

All Implemented Interfaces:
  Serializable

public class FailedLoginException
extends LoginException

Signals that user authentication failed.

This exception is thrown by LoginModules if authentication failed. For example, a `LoginModule` throws this exception if the user entered an incorrect password.

See Also:
  Serialized Form

Constructor Summary
`FailedLoginException()` Constructs a FailedLoginException with no detail message.
`FailedLoginException(String msg)` Constructs a FailedLoginException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FailedLoginException

    public FailedLoginException()

  Constructs a FailedLoginException with no detail message. A detail message is a String that describes this particular exception.

### FailedLoginException

    public FailedLoginException(String msg)

  Constructs a FailedLoginException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.